package com.sun.jmx.snmp.internal;

import com.sun.jmx.snmp.SnmpUnknownModelException;
import com.sun.jmx.snmp.SnmpEngine;

public interface SnmpSubSystem
{
    public abstract SnmpEngine getEngine();
    
    public abstract void addModel(int p0, SnmpModel p1);
    
    public abstract SnmpModel removeModel(int p0) throws SnmpUnknownModelException;
    
    public abstract SnmpModel getModel(int p0) throws SnmpUnknownModelException;
    
    public abstract int[] getModelIds();
    
    public abstract String[] getModelNames();
}
